import request from "@/api/request.js";

// 基本信息
/**
 * @param {id} 
 */
export function getDecreeBasicInfo(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/basicInfo/${params.id}`,
        params
    })
}

// 主要指令
/**
 * @param {currentPage, id, pageSize} 
 */
export function getDecreeMainContent(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/mainContent/${params.id}`,
        params
    })
}

// 执行机构
/**
 * @param {id} 
 */
export function getDecreeOrganization(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/organization/${params.id}`,
        params
    })
}